var shockLimit = 20;

// ほかのrigidbody （collider） との衝突時に呼び出される
function OnCollisionEnter(collision : Collision) {
    // 当たった対象がSwordControllerを持っていたら （すなわち吹き矢なら）
    // swordControllerが取得される、それ以外の場合はnilとなる
    var swordController: SwordController =collision.gameObject.GetComponent(SwordController);
    // swordControllerがnilなら条件が不成立なのでなにも処理をしない
    if( swordController && collision.relativeVelocity.magnitude < shockLimit ) {
        // StageManagerという名のObjectをFind関数で探し、
        // StageControllerスクリプト中の関数を呼び出す
        var stageController : StageController =
            GameObject.Find("StageManager").GetComponent("StageController");
        stageController.BalloonDidDestroy(gameObject);
        Destroy (gameObject);     // 吹き矢に当たったので消滅
    }
}
